Get import logs
GET
/merchants/{merchantCode}/imports/{importRef}/logs
const url = 'https://import.shopgate.io/v1/merchants/example/imports/example/logs?limit=100&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://import.shopgate.io/v1/merchants/example/imports/example/logs?limit=100&offset=0'Get logs for an import
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
importRef
required
string
Query Parameters
Section titled “Query Parameters”limit
integer
The limit of entries of one page
offset
integer
The offset where to start the page
Responses
Section titled “Responses”Logs for the import
Media typeapplication/json
object
imports
Array<string>
meta
object
limit
number
offset
number
totalItemCount
number
Example
{ "imports": [ "Category 'men' not found" ], "meta": { "limit": "10,", "offset": "0,", "totalItemCount": 1 }}Forbidden error
Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "Forbidden", "message": "No access to merchant 1"}
